Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 219438 - media-sound/rezound-0.12.3_beta-r1 fails w/ gcc-4.3.0
Summary: media-sound/rezound-0.12.3_beta-r1 fails w/ gcc-4.3.0
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] GCC Porting (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Professional Audio Applications Maintainers
URL:
Whiteboard:
Keywords:
: 230487 (view as bug list)
Depends on:
Blocks: gcc-4.3
  Show dependency tree
 
Reported: 2008-04-27 09:56 UTC by Peter Alfredsen (RETIRED)
Modified: 2008-07-02 09:36 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
rezound-0.12.3_beta-gcc43.patch (rezound-0.12.3_beta-gcc43.patch,29.51 KB, patch)
2008-04-27 09:59 UTC, Peter Alfredsen (RETIRED)
Details | Diff
rezound-0.12.3_beta-r1--0.12.3_beta-r2.patch (rezound-0.12.3_beta-r1--0.12.3_beta-r2.patch,1.55 KB, patch)
2008-05-05 05:42 UTC, Peter Alfredsen (RETIRED)
Details | Diff
rezound-0.12.3_beta-patches-5.tar.bz2 (rezound-0.12.3_beta-patches-5.tar.bz2,11.46 KB, text/plain)
2008-05-05 05:43 UTC, Peter Alfredsen (RETIRED)
Details
rezound-0.12.3_beta-patches-5.tar.bz2 (rezound-0.12.3_beta-patches-5.tar.bz2,11.46 KB, application/octet-stream)
2008-05-05 05:45 UTC, Peter Alfredsen (RETIRED)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Peter Alfredsen (RETIRED) gentoo-dev 2008-04-27 09:56:29 UTC
Making all in src
make[1]: Entering directory `/var/tmp/portage/media-sound/rezound-0.12.3_beta-r1/work/rezound-0.12.3beta/src'
Making all in misc
make[2]: Entering directory `/var/tmp/portage/media-sound/rezound-0.12.3_beta-r1/work/rezound-0.12.3beta/src/misc'
Making all in CNestedDataFile
make[3]: Entering directory `/var/tmp/portage/media-sound/rezound-0.12.3_beta-r1/work/rezound-0.12.3beta/src/misc/CNestedDataFile'
if /bin/bash ../../../libtool --tag=CXX --mode=compile i686-pc-linux-gnu-g++ -DHAVE_CONFIG_H -I. -I. -I../../../config -I../../../src/misc -I../../../src/misc/missing/generated -I../../../src/PoolFile    -O2 -march=i686 -mtune=athlon-xp -msse -mmmx -pipe -ggdb3 -g -Wall -Wno-unused-function -Wno-unused-variable -Wno-unused -I/usr/include -I/usr/include -I/usr/include -MT CNestedDataFile.lo -MD -MP -MF ".deps/CNestedDataFile.Tpo" -c -o CNestedDataFile.lo CNestedDataFile.cpp; \
        then mv -f ".deps/CNestedDataFile.Tpo" ".deps/CNestedDataFile.Plo"; else rm -f ".deps/CNestedDataFile.Tpo"; exit 1; fi
flex -Pcfg_ -t ../../../src/misc/CNestedDataFile/cfg.l > cfg.lex.c
bison -y -p cfg_ -b cfg ../../../src/misc/CNestedDataFile/cfg.y
 i686-pc-linux-gnu-g++ -DHAVE_CONFIG_H -I. -I. -I../../../config -I../../../src/misc -I../../../src/misc/missing/generated -I../../../src/PoolFile -O2 -march=i686 -mtune=athlon-xp -msse -mmmx -pipe -ggdb3 -g -Wall -Wno-unused-function -Wno-unused-variable -Wno-unused -I/usr/include -I/usr/include -I/usr/include -MT CNestedDataFile.lo -MD -MP -MF .deps/CNestedDataFile.Tpo -c CNestedDataFile.cpp -o CNestedDataFile.o
mv cfg.tab.c cfg.tab.cc
if /bin/bash ../../../libtool --tag=CXX --mode=compile i686-pc-linux-gnu-g++ -DHAVE_CONFIG_H -I. -I. -I../../../config -I../../../src/misc -I../../../src/misc/missing/generated -I../../../src/PoolFile    -O2 -march=i686 -mtune=athlon-xp -msse -mmmx -pipe -ggdb3 -g -Wall -Wno-unused-function -Wno-unused-variable -Wno-unused -I/usr/include -I/usr/include -I/usr/include -MT cfg.tab.lo -MD -MP -MF ".deps/cfg.tab.Tpo" -c -o cfg.tab.lo cfg.tab.cc; \
        then mv -f ".deps/cfg.tab.Tpo" ".deps/cfg.tab.Plo"; else rm -f ".deps/cfg.tab.Tpo"; exit 1; fi
 i686-pc-linux-gnu-g++ -DHAVE_CONFIG_H -I. -I. -I../../../config -I../../../src/misc -I../../../src/misc/missing/generated -I../../../src/PoolFile -O2 -march=i686 -mtune=athlon-xp -msse -mmmx -pipe -ggdb3 -g -Wall -Wno-unused-function -Wno-unused-variable -Wno-unused -I/usr/include -I/usr/include -I/usr/include -MT cfg.tab.lo -MD -MP -MF .deps/cfg.tab.Tpo -c cfg.tab.cc -o cfg.tab.o
CNestedDataFile.cpp:21:2: warning: #warning parseFile doesnt need to set the filename, only the constructor and setFilename should do that
CNestedDataFile.cpp:22:2: warning: #warning see about retaining the order that things were parsed in the file
In file included from CNestedDataFile.h:164,
                 from CNestedDataFile.cpp:37:
anytype.h:70: error: explicit template specialization cannot have a storage class
anytype.h:72: error: explicit template specialization cannot have a storage class
anytype.h:74: error: explicit template specialization cannot have a storage class
anytype.h:75: error: explicit template specialization cannot have a storage class
anytype.h:77: error: explicit template specialization cannot have a storage class
anytype.h:78: error: explicit template specialization cannot have a storage class
anytype.h:80: error: explicit template specialization cannot have a storage class
anytype.h:81: error: explicit template specialization cannot have a storage class
anytype.h:83: error: explicit template specialization cannot have a storage class
anytype.h:84: error: explicit template specialization cannot have a storage class
anytype.h:86: error: explicit template specialization cannot have a storage class
anytype.h:87: error: explicit template specialization cannot have a storage class
anytype.h:89: error: explicit template specialization cannot have a storage class
anytype.h:90: error: explicit template specialization cannot have a storage class
anytype.h:91: error: explicit template specialization cannot have a storage class
In file included from CNestedDataFile.h:164,
                 from CNestedDataFile.cpp:37:
anytype.h:122: error: explicit template specialization cannot have a storage class
anytype.h:124: error: explicit template specialization cannot have a storage class
anytype.h:126: error: explicit template specialization cannot have a storage class
anytype.h:127: error: explicit template specialization cannot have a storage class
anytype.h:129: error: explicit template specialization cannot have a storage class
anytype.h:130: error: explicit template specialization cannot have a storage class
anytype.h:132: error: explicit template specialization cannot have a storage class
anytype.h:133: error: explicit template specialization cannot have a storage class
anytype.h:135: error: explicit template specialization cannot have a storage class
anytype.h:136: error: explicit template specialization cannot have a storage class
anytype.h:138: error: explicit template specialization cannot have a storage class
anytype.h:139: error: explicit template specialization cannot have a storage class
In file included from CNestedDataFile.h:164,
                 from CNestedDataFile.cpp:37:
anytype.h:144: error: explicit template specialization cannot have a storage class
anytype.h:145: error: explicit template specialization cannot have a storage class
anytype.h:146: error: explicit template specialization cannot have a storage class
make[3]: *** [CNestedDataFile.lo] Error 1
make[3]: *** Waiting for unfinished jobs....
In file included from CNestedDataFile.h:164,
                 from ../../../src/misc/CNestedDataFile/cfg.y:46:
anytype.h:70: error: explicit template specialization cannot have a storage class
anytype.h:72: error: explicit template specialization cannot have a storage class
anytype.h:74: error: explicit template specialization cannot have a storage class
anytype.h:75: error: explicit template specialization cannot have a storage class
anytype.h:77: error: explicit template specialization cannot have a storage class
anytype.h:78: error: explicit template specialization cannot have a storage class
anytype.h:80: error: explicit template specialization cannot have a storage class
anytype.h:81: error: explicit template specialization cannot have a storage class
anytype.h:83: error: explicit template specialization cannot have a storage class
anytype.h:84: error: explicit template specialization cannot have a storage class
anytype.h:86: error: explicit template specialization cannot have a storage class
anytype.h:87: error: explicit template specialization cannot have a storage class
anytype.h:89: error: explicit template specialization cannot have a storage class
anytype.h:90: error: explicit template specialization cannot have a storage class
anytype.h:91: error: explicit template specialization cannot have a storage class
In file included from CNestedDataFile.h:164,
                 from ../../../src/misc/CNestedDataFile/cfg.y:46:
anytype.h:122: error: explicit template specialization cannot have a storage class
anytype.h:124: error: explicit template specialization cannot have a storage class
anytype.h:126: error: explicit template specialization cannot have a storage class
anytype.h:127: error: explicit template specialization cannot have a storage class
anytype.h:129: error: explicit template specialization cannot have a storage class
anytype.h:130: error: explicit template specialization cannot have a storage class
anytype.h:132: error: explicit template specialization cannot have a storage class
anytype.h:133: error: explicit template specialization cannot have a storage class
anytype.h:135: error: explicit template specialization cannot have a storage class
anytype.h:136: error: explicit template specialization cannot have a storage class
anytype.h:138: error: explicit template specialization cannot have a storage class
anytype.h:139: error: explicit template specialization cannot have a storage class
In file included from CNestedDataFile.h:164,
                 from ../../../src/misc/CNestedDataFile/cfg.y:46:
anytype.h:144: error: explicit template specialization cannot have a storage class
anytype.h:145: error: explicit template specialization cannot have a storage class
anytype.h:146: error: explicit template specialization cannot have a storage class
In file included from ../../../src/misc/CNestedDataFile/cfg.y:486:
<stdout>: In function ‘int yy_get_next_buffer()’:
<stdout>:1208: warning: comparison between signed and unsigned integer expressions
make[3]: *** [cfg.tab.lo] Error 1
make[3]: Leaving directory `/var/tmp/portage/media-sound/rezound-0.12.3_beta-r1/work/rezound-0.12.3beta/src/misc/CNestedDataFile'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/var/tmp/portage/media-sound/rezound-0.12.3_beta-r1/work/rezound-0.12.3beta/src/misc'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/var/tmp/portage/media-sound/rezound-0.12.3_beta-r1/work/rezound-0.12.3beta/src'
make: *** [all-recursive] Error 1
Comment 1 Peter Alfredsen (RETIRED) gentoo-dev 2008-04-27 09:59:37 UTC
Created attachment 151116 [details, diff]
rezound-0.12.3_beta-gcc43.patch

Fixes the problem. Snatched from Debian.
And when I say "snatched from Debian" I mean I took it from their newest diff. Please don't go taking the patch that's in their Bugzilla. It will cause <=gcc-4.3.0 to fail.
Comment 2 Samuli Suominen gentoo-dev 2008-05-04 18:53:49 UTC
Failed to build here (using the attached patch),

FilterActionDialogs.cpp:212: error: ‘TFFTConvolverTimeDomainKernel’ was not declared in this scope

[ebuild  N    ] media-sound/rezound-0.12.3_beta-r1  USE="alsa flac nls oss vorbis -16bittmp -jack -portaudio -soundtouch" 0 kB 

Portage 2.1.5_rc6 (default-linux/amd64/2007.0/desktop, gcc-4.3.0, glibc-2.7-r2, 2.6.24-gentoo-r3 x86_64)
=================================================================
System uname: 2.6.24-gentoo-r3 x86_64 AMD Athlon(tm) 64 X2 Dual Core Processor 5000+
Timestamp of tree: Unknown
ccache version 2.4 [enabled]
app-shells/bash:     3.2_p39
dev-lang/python:     2.5.2-r2
dev-python/pycrypto: 2.0.1-r6
dev-util/ccache:     2.4-r7
sys-apps/baselayout: 2.0.0
sys-apps/openrc:     0.2.3
sys-apps/sandbox:    1.2.18.1-r2
sys-devel/autoconf:  2.13, 2.62
sys-devel/automake:  1.4_p6, 1.5, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.1-r1
sys-devel/binutils:  2.18-r1
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   1.5.26
virtual/os-headers:  2.6.25-r1
ACCEPT_KEYWORDS="amd64 ~amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe -march=k8"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config"
CONFIG_PROTECT_MASK="/etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/terminfo /etc/udev/rules.d"
CXXFLAGS="-O2 -pipe -march=k8"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS="--nospinner"
FEATURES="ccache collision-protect cvs distlocks multilib-strict parallel-fetch sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/linux/distributions/gentoo"
LANG="fi_FI.utf8"
LDFLAGS="-Wl,-O1,--as-needed"
LINGUAS="en fi"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/home/drac/gentoo-x86"
PORTDIR_OVERLAY="/usr/portage/local/layman/sunrise /usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="3dnow 3dnowext X a52 aac aalib acl acpi alsa amd64 berkdb bzip2 cairo cddb cdparanoia cdr cli cracklib crypt dbus dri dts dvb dvd dvdr dvdread emboss encode evo exif fam ffmpeg firefox flac fontconfig fortran ftp gdbm gif gimp glitz gpm gstreamer gtk hal iconv ipv6 isdnlog jpeg kerberos ldap libcaca libnotify lm_sensors mad midi mikmod mmap mmx mmxext mp3 mpeg mplayer mudflap ncurses nls nptl nptlonly ogg opengl openmp oss pam pcre pdf perl png pppd python qt3support quicktime raw readline reflection rtc sdl session slang smp speex spell spl srt sse sse2 ssl startup-notification svg tcpd theora threads tiff trayicon truetype unicode v4l v4l2 vorbis x264 xcb xine xml xorg xpm xscreensaver xv xvid zlib" ALSA_CARDS="hda-intel" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en fi" USERLAND="GNU" VIDEO_CARDS="vesa"
Unset:  CPPFLAGS, CTARGET, INSTALL_MASK, LC_ALL, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 3 Peter Alfredsen (RETIRED) gentoo-dev 2008-05-05 05:42:55 UTC
Created attachment 151877 [details, diff]
rezound-0.12.3_beta-r1--0.12.3_beta-r2.patch

Bump a revision, depend on fftw-3*, include patch for bigendian system, gcc-4.3 patch, fftw-3* and update amd64 patch to Debian version.
Please try if this doesn't fix your build failure. I discovered that the automagic wouldn't see my fftw -- probably becuase I also have fftw-3* installed.
Comment 4 Peter Alfredsen (RETIRED) gentoo-dev 2008-05-05 05:43:39 UTC
Created attachment 151879 [details]
rezound-0.12.3_beta-patches-5.tar.bz2

Put this into your DISTDIR to test.
Comment 5 Peter Alfredsen (RETIRED) gentoo-dev 2008-05-05 05:45:09 UTC
Created attachment 151881 [details]
rezound-0.12.3_beta-patches-5.tar.bz2

Now with the correct mime type.
Comment 6 Alexis Ballier gentoo-dev 2008-06-02 09:52:44 UTC
bah, forgot to close this one. Thanks for the patch but usually its prefered to attach plain text patches to ease reading.


So:
- gcc 4.3 patch applied
- endianness typo patch applied
- fftw patch not applied: it could be a good idea to move to fftw3 but I couldn't import your patch, if you happen to have it in an unified diff format, please open a new bug for it.

plus some other fixes for new libtool
Comment 7 Peter Alfredsen (RETIRED) gentoo-dev 2008-07-02 09:36:42 UTC
*** Bug 230487 has been marked as a duplicate of this bug. ***